Bug Hunting Session
Bug 109059 - LibreOffice can't render a font whose name includes a comma, unexpected fallback is used
Summary: LibreOffice can't render a font whose name includes a comma, unexpected fallb...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2.4.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2017-07-11 08:24 UTC by Xavier R
Modified: 2019-04-22 02:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
File where the bug was detected (24.16 KB, application/vnd.oasis.opendocument.text)
2017-07-11 08:36 UTC, Xavier R
Details
PDF Export of the original ODT document from LO 5.2.4.2 x64 (77.66 KB, application/pdf)
2017-07-11 08:37 UTC, Xavier R
Details
DOCX Export of the original ODT document from LO 5.2.4.2 x64 (9.16 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-07-11 08:40 UTC, Xavier R
Details
PDF Export of the DOCX document from Ms Word 2010 (132.63 KB, application/pdf)
2017-07-11 08:44 UTC, Xavier R
Details
Apearance and details of the ttf font (201.00 KB, image/jpeg)
2017-07-11 08:51 UTC, Xavier R
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xavier R 2017-07-11 08:24:22 UTC
Description:
Using a font called "ESRI Oil, Gas, & Water" (included inside the file eri_4.ttf in GIS software ArcGIS 10.3, developped by ESRI), LibreOffice get some problems.

In Writer and in Calc:
 - there in  is no preview in the font list (in the toolbar or inside the panel).
 - if I use this font inside a style, it isn't rendered (and replaced by a standard font).

If I save my document in MS office XML style 



Steps to Reproduce:
1.Write a text
2.Select and apply the font "ESRI Oil, Gas, & Water" 
3.The font isn't rendered


Actual Results:  
3.The font isn't rendered

Expected Results:
The font must be rendered


Reproducible: Always

User Profile Reset: No

Additional Info:
Additional test :
4. Save as MS Office XML document
5. Open in MS Office : font is correctly rendered

Additional information : this font appears to be the only on my PC with a comma in its font name. That's why I supposed it is the cause of this bug but it's only a supposition at this time.
And the only one which fails to render, when I used it on the same workflow (rendering all the unicodes characters of the font inside a table). 

LO version : 5.2.4.2 (x64)
Build ID: 3d5603e1122f0f102b62521720ab13a38a4e0eb0


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:54.0) Gecko/20100101 Firefox/54.0
Comment 1 Xavier R 2017-07-11 08:34:46 UTC
Trying to open the ODT file in Ms Word 2010 : it told me that the file is corrupted.

"Impossible d'ouvrir le le fichier XXX.odt. Des problèmes ont été décelés dans son contenu.
Détails
Impossible d'ouvrir le fichier. Le fichier est corrompu."

There was no problem to open the docx file.
Comment 2 Xavier R 2017-07-11 08:36:27 UTC
Created attachment 134578 [details]
File where the bug was detected
Comment 3 Xavier R 2017-07-11 08:37:27 UTC
Created attachment 134579 [details]
PDF Export of the original ODT document from LO 5.2.4.2 x64
Comment 4 Xavier R 2017-07-11 08:40:09 UTC
Created attachment 134580 [details]
DOCX Export of the original ODT document from LO 5.2.4.2 x64
Comment 5 Xavier R 2017-07-11 08:44:21 UTC
Created attachment 134581 [details]
PDF Export of the DOCX document from Ms Word 2010

The font "ESRI Oil, Gas, & Water" is well rendered. 
You can see here its composition.
Comment 6 Xavier R 2017-07-11 08:46:07 UTC
Due to the proprietary license of the software, I suppose I can't join here the TTF file.
Comment 7 Xavier R 2017-07-11 08:51:34 UTC
Created attachment 134582 [details]
Apearance and details of the ttf font
Comment 8 Xavier R 2017-07-11 12:22:53 UTC
Confirmed on newer release of LO: 

Version: 5.3.4.2 (x64)
Build ID: f82d347ccc0be322489bf7da61d7e4ad13fe2ff3
Comment 9 V Stuart Foote 2017-07-11 19:26:40 UTC
Confirmed on Windows 10 Ent x64 en-US with Esri ArcGIS 10.5.1 installed and
Version: 5.3.4.2 (x64)
Build ID: f82d347ccc0be322489bf7da61d7e4ad13fe2ff3
CPU Threads: 8; OS Version: Windows 6.29; UI Render: GL; Layout Engine: new; 
Locale: en-US (en_US); Calc: group

Word 2016 opens the ODF and OOXML versions of the font's sample chart. But as noted Writer (5.3.4) picks up a fallback font in all locations of the LibreOffice UI -- Character dialog preview, Fontname drop list, and Special character dialog.

The 73 other Esri symbol fonts I have loaded behave as expected. No fallback replacement occurs when used, and just the font name is rendered with a fallback font.

So this is a corner case--something breaks in the handling the font-family name with the "," in its title.
Comment 10 Khaled Hosny 2018-02-01 16:39:03 UTC
LibreOffice uses the comma to allow specifying multiple fonts that would be tried one after another, e.g. “FontA, FontB, FontC” means use FontA if it is available, else use FontB then FontC. I this this is why this font is breaking with LibreOffice, and I have no idea how to fix this without breaking existing documents.
Comment 11 QA Administrators 2019-04-22 02:56:27 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug